Skip to main content

Assign AWB API:

Description: Assigns AWB to a created shipment.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_assign_awb
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_assign_awb' 
--header 'rapidshyp-token: <API_KEY>'
--header 'Content-Type: application/json'
--data '{
"shipment_id": "BS11111",
"courier_code": "1111111"
}'

Request Parameters:


ParameterRequiredRemarkValidation
shipment_idYesShipment IDValid shipment
courier_codeOptionalCourier codeServiceable

Response:

JSON

{
"status": true,
"remarks": "Request send successfully to the courier partner."
}